unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, MechCounter, Buttons, ComCtrls, Mask, Spin, RXSpin, ToolEdit,
  CurrEdit;

type
  TForm1 = class(TForm)
    chReverse: TCheckBox;
    BitBtn1: TBitBtn;
    procedure chReverseClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Counter: TCounterEdit;
    MechCounter: TMechCounter;
    procedure OnChange(Sender: TObject);
    procedure OnDirectionChange(Sender: TObject);
    procedure OnReverseChange(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.OnChange(Sender: TObject);
begin
  // In the caption the difference betwin entered and initial values of the meter is shown
  Caption := Format('%d-%d=%d', [MechCounter.Value, MechCounter.InitValue, MechCounter.Difference]);
end;

procedure TForm1.chReverseClick(Sender: TObject);
begin
  // usually the reversibility is set by the developer (in the code)
  // user can change the count direction if the reversibility is on (Ctrl+Up/Down)
  MechCounter.Reverse := (Sender as TCheckBox).Checked;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  // here is the meter initializer
  // If you buy the source code, you can install this component in IDE
  // and initialize values and set the event handler in Design Time mode
  MechCounter := TMechCounter.Create(self);
  MechCounter.Left := 8;
  MechCounter.Top := 8;
  MechCounter.Rate := 6;
  MechCounter.Value := 1084;
  MechCounter.ColorOver := clRed;
  MechCounter.TabOrder := 0;

  MechCounter.OnDirectionChange := onDirectionChange;
  MechCounter.OnReverseChange := OnReverseChange;
  MechCounter.OnChange := OnChange;

  MechCounter.OnChange(Sender);
  MechCounter.OnDirectionChange(Sender);
end;

procedure TForm1.OnReverseChange(Sender: TObject);
begin
  // add a code for the event handler reversibility on/off
  chReverse.Checked := MechCounter.Reverse;
end;

procedure TForm1.OnDirectionChange(Sender: TObject);
begin
  // add a code for the event handler count direction up/down (if the reversibility on)
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  close;
end;

end.
